#ruby=1.9.3-p327
source 'https://rubygems.org'
unless ENV['LOCAL_DEV'] == '1'
  source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/'
end

# Look for $WORKSPACE, otherwise use "workspace" as dev path.
devenv = ENV["BUILD_NUMBER"].nil?

if devenv
  gem 'jam_db', :path=> "../db/target/ruby_package"
  gem 'jampb', :path => "../pb/target/ruby/jampb"
  gem 'jam_ruby', :path => "../ruby"
else
  gem 'jam_db', "0.1.#{ENV["BUILD_NUMBER"]}"
  gem 'jampb',  "0.1.#{ENV["BUILD_NUMBER"]}"
  gem 'jam_ruby',  "0.1.#{ENV["BUILD_NUMBER"]}"
  ENV['NOKOGIRI_USE_SYSTEM_LIBRARIES'] ||= "true"
end


gem 'uuidtools', '2.1.2'
gem 'bcrypt-ruby', '3.0.1'
gem 'ruby-protocol-buffers', '1.2.2'
gem 'em-websocket', '>=0.4.0' #, :path=> "#{workspace}/em-websocket-jam"
gem 'amqp'
gem 'activerecord', '3.2.13'
gem 'actionpack', '3.2.13'
gem 'logging'
gem 'will_paginate'
gem 'actionmailer'
gem 'sendgrid'
gem 'rb-readline'
gem 'aasm', '3.0.16'
gem 'carrierwave'
gem 'fog'
gem 'devise', '3.3.0' # 3.4.0 causes uninitialized constant ActionController::Metal (NameError)
gem 'postgres-copy'
gem 'aws-sdk', '~> 1'
gem 'bugsnag'
gem 'postgres_ext'
gem 'resque'
gem 'resque-retry'
gem 'resque-failed-job-mailer'
gem 'resque-lonely_job', '~> 1.0.0'
gem 'resque_mailer'
gem 'geokit'
gem 'geokit-rails', '2.0.1'
gem 'mime-types', '1.25.1'
gem 'rest-client'
gem 'netaddr'
gem 'iso-639'
gem 'language_list'
gem 'rubyzip'
gem 'sanitize'
gem 'influxdb', '0.1.8'
gem 'recurly'

group :development do
	gem 'pry'
end

group :test do
    gem 'simplecov', '~> 0.7.1'
    gem 'simplecov-rcov'
    gem 'cucumber'
    gem 'rspec', '2.14.1' # can go to 3.0, but requires changes to tests due to should removal, be_truthy, and other changes
    gem 'factory_girl'
    #gem 'spork', '0.9.0'
    gem 'database_cleaner', '0.7.0'
    gem 'guard', '>= 0.10.0'
    gem 'guard-rspec', '>= 0.7.3'
    gem 'pg_migrate','0.1.13' #:path => "#{workspace}/pg_migrate_ruby"
    gem 'evented-spec'
end

group :production do
    gem 'newrelic_rpm'
end

group :package do
    gem 'fpm'
end
